Bug 160402 - databases/ruby-bdb regression-test target broken; tests reveal serious problems with Ruby-1.9
Summary: databases/ruby-bdb regression-test target broken; tests reveal serious proble...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-02 19:20 UTC by Mikhail T.
Modified: 2012-02-08 19:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2011-09-02 19:20:11 UTC
	The first problem is that the tests expect tmp/ subdirectory,
	which needs to be created. This is fixed easily by the following
	patch:

	Index: Makefile
	===================================================================
	RCS file: /home/pcvs/ports/databases/ruby-bdb/Makefile,v
	retrieving revision 1.62
	diff -U 1 -r1.62 Makefile
	--- Makefile	22 Apr 2011 11:38:15 -0000	1.62
	+++ Makefile	2 Sep 2011 17:47:55 -0000
	@@ -70,2 +70,3 @@
	 regression-test:
	+	@${MKDIR} ${BUILD_WRKSRC}/tmp
		( cd ${BUILD_WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE} \


	Now, /running/ the tests reveals segmentation faults and other
	serious problems, such as data discrepancies, when compiled
	against Ruby-1.9

Fix: 

Apply the above patch. Stick to Ruby-1.8 for the time being.
How-To-Repeat: 
	Apply the above patch. Attempt `make regression-test' using Ruby-1.9
Comment 1 Edwin Groothuis freebsd_committer 2011-09-02 19:20:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2012-02-08 05:04:13 UTC
Responsible Changed
From-To: knu->pgollucci

committer&maintainer timeout (knu ; 159 days) / last commit: 8 days ago
Comment 3 Philip M. Gollucci freebsd_committer 2012-02-08 18:54:36 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 4 dfilter service freebsd_committer 2012-02-08 18:54:44 UTC
pgollucci    2012-02-08 18:54:33 UTC

  FreeBSD ports repository

  Modified files:
    databases/ruby-bdb   Makefile 
  Log:
  - Allow regression tests to be run under ruby 1.9
    still has issues w/ it, stick to 1.8 for now
  
  PR:             ports/160402
  Submitted by:   Mikhail T. <mi@aldan.algebra.com>
  Approved by:    maintainer timeout (knu ; 159 days)
  Sponsored by:   RideCharge Inc. / TaxiMagic
  
  Revision  Changes    Path
  1.63      +1 -0      ports/databases/ruby-bdb/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"